SystemOrganization addCategory: #'Rizel-Example'!

TestCase subclass: #MondrianBenchmarks
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Example'!

!MondrianBenchmarks class methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovala 6/1/2012 00:57'!
asList
	^ #(#treeLayout #manyNodes #openSimpleGraph #subviews)! !

!MondrianBenchmarks methodsFor: 'as yet unclassified' stamp: ''!
edges
	| t1 t2 t3 t4 t5 |
	t1 := MOViewRenderer new.
	t5 := 30.
	t1
		nodes: (1 to: t5).
	t1
		edges: (1 to: t5)
		from: #yourself
		toAll: (1 to: t5).
	t1 root applyLayout.
	t2 := t1 root bounds.
	t3 := Form extent: t2 extent depth: Display depth.
	t4 := FormCanvas on: t3.
	1
		to: 1
		do: [:t6 | t1 root displayOn: t4]! !

!MondrianBenchmarks methodsFor: 'as yet unclassified' stamp: ''!
form1
	| t1 t2 t3 t4 t5 |
	t1 := MOViewRenderer new.
	t5 := 30.
	t1
		nodes: (1 to: 5)
		forEach: [:t6 | 
			t1
				nodes: (1 to: t5).
			t1
				edges: (1 to: t5)
				from: #yourself
				toAll: (1 to: t5)
				using: MOStraightLineShape new
				fromGlobal: false
				toGlobal: false.
			t1 gridLayout].
	t1 root applyLayout.
	t2 := t1 root bounds.
	t3 := Form extent: t2 extent depth: Display depth.
	t4 := FormCanvas on: t3.
	1
		to: 1
		do: [:t6 | t1 root displayOn: t4]! !

!MondrianBenchmarks methodsFor: 'as yet unclassified' stamp: ''!
manyNodes
	| t1 |
	t1 := MOViewRenderer new.
	t1
		nodes: (1 to: 2200).
	t1 root applyLayout! !

!MondrianBenchmarks methodsFor: 'as yet unclassified' stamp: ''!
openSimpleGraph
	| t1 |
	t1 := MOViewRenderer new.
	t1
		nodes: (1 to: 100)
		forEach: [:t2 | 
			t1
				nodes: (1 to: 100).
			t1 gridLayout].
	t1 gridLayout.
	t1 open! !

!MondrianBenchmarks methodsFor: 'as yet unclassified' stamp: ''!
reportPackageBlueprintLikeProfiling
	| t1 t2 t3 t4 t5 |
	t1 := MOViewRenderer new.
	t1
		nodes: #(1 2 )
		forEach: [:t6 | 
			t1
				nodes: (1 to: 26)
				forEach: [:t7 | t1
						node: #foo
						forIt: [t1
								node: #foo
								forIt: [t1
										nodes: (1 to: 114).
									t1 gridLayout gapSize: 1]]].
			t1 gridLayout gapSize: 1].
	t1 root applyLayout.
	t5 := t1 root nodes first.
	t2 := t1 root bounds.
	t3 := Form extent: t2 extent depth: Display depth.
	t4 := FormCanvas on: t3.
	^ Time
		millisecondsToRun: [1
				timesRepeat: [t5
						announce: (MOMouseDrag step: 1 @ 2).
					t1 root displayOn: t4]]! !

!MondrianBenchmarks methodsFor: 'as yet unclassified' stamp: ''!
subviews
	| t1 t2 |
	t1 := MOViewRenderer new.
	t2 := 5.
	t1
		nodes: (1 to: t2)
		forEach: [:t3 | 
			t1
				nodes: (1 to: t2).
			t1 gridLayout].
	1
		to: 10
		do: [:t3 | t1 root applyLayout]! !

!MondrianBenchmarks methodsFor: 'as yet unclassified' stamp: ''!
subviews2
	| t1 t2 |
	t1 := MOViewRenderer new.
	t2 := 5.
	t1
		nodes: (1 to: t2)
		forEach: [:t3 | 
			t1
				nodes: (1 to: t2).
			t1 gridLayout].
	1
		to: 10
		do: [:t3 | t1 root applyLayout]! !

!MondrianBenchmarks methodsFor: 'as yet unclassified' stamp: ''!
treeLayout
	| view |
	view := MOViewRenderer new.
	view nodes: Collection withAllSubclasses.
	view edgesFrom: #superclass.
	view treeLayout.
	view root applyLayout! !

TestCase subclass: #RizelDemo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Example'!

!RizelDemo methodsFor: 'as yet unclassified' stamp: ''!
cache
	^ RizelTest mondrian2DResult! !

!RizelDemo methodsFor: 'as yet unclassified' stamp: ''!
cache: aResult 
	^ RizelTest mondrian2DResult: aResult! !

!RizelDemo methodsFor: 'as yet unclassified' stamp: ''!
mondrian
	| rizel result |
	rizel := Rizel new.
	rizel
		define: #input
		named: #version
		with: self mondrianVersions.
	rizel
		define: #input
		named: #benchmark
		with: MondrianBenchmarks asList.
	result := self cache.
	result
		ifNil: [result := rizel
						execute: [:version :benchmark | 
							version load.
							rizel
								profile: [MondrianBenchmarks new perform: benchmark]
								inPackagesMatching: 'Mondrian-*']].
	self cache: result.
	rizel openOn: result! !

!RizelDemo methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovala 6/1/2012 14:20'!
mondrian2
	| rizel result |
	rizel := Rizel new.
	rizel
		define: #input
		named: #version
		with: (self mondrianVersions removeLast;yourself).
	rizel
		define: #input
		named: #benchmark
		with: MondrianBenchmarks asList.
	result := self cache.
	result
		ifNil: [result := rizel
						execute: [:version :benchmark | 
							version load.
							rizel
								profile: [MondrianBenchmarks new perform: benchmark]
								inPackagesMatching: 'Mondrian-*']].
	self cache: result.
	rizel openOn: result! !

!RizelDemo methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovala 6/1/2012 00:52'!
mondrianVersions
	^ RizelTest new selectFrom: (ConfigurationOfMondrian project versions last: 100) reverse multipleOf: 10! !
